/*
 * SSD1306/SSD1315に温湿度計を表示
 * 
 */
#ifndef HTDisplay_H
#define HTDisplay_H
#include "DISP7SEG.h"

class AM2320Display
{
  private:
    DISP7SEG disp7seg ;

    // ----- グラフ表示用 -----
    int thDataNum ;
    struct thData_s {
      int humidity ;   // 湿度
      int temperature; // 温度
    } thData[100] ;
  
  public:
    void init() ;
    void cls() { disp7seg.cls( ) ; }
    void addGraphData(int humidity,int temperature ); // グラフDataSet
    void dispGraphData(); // グラフData表示
    void disp7segLED(int humidity,int temperature); // 7セグ風Data表示

  protected:
    void initGraphData(); // グラフData初期化
} ;
#endif
